Get recipes by recipe IDs

Summary

  • Source repository: jef-systems/jef-caferimo-backend

  • Source SHA: 7de9959096392a0dd8743cb64935da4612452b1f

  • Source run id: 30215089663

  • Module: Caferimo

  • Lambda function: jef-caferimo-get-recipes-by-recipe-ids

  • HTTP method: POST

  • Invocation mode: sync

  • Package mode: no-package

  • API category: Caferimo Complex Sync No Package POST APIs

  • API path: /caferimo/complex-sync-no-packages/jef-caferimo-get-recipes-by-recipe-ids

  • Endpoint URL: https://api.jefoffice.com/caferimo/complex-sync-no-packages/jef-caferimo-get-recipes-by-recipe-ids

  • Documentation scope: lambda-complex-sync-no-packages

Synchronous Lambda Complex Rule

This API is documented as a synchronous Lambda complex no-package API. API Gateway waits for the Lambda result and returns the final Lambda response.

Description

Returns an atomic bounded batch of complete recipe aggregates for printing.

Payload Example

{
  "store_id": "11111111-1111-4111-8111-111111111111",
  "recipe_ids": [
    "22222222-2222-4222-8222-222222222222"
  ],
  "require_active": true,
  "include_capacity": false
}

Payload Schema

{
  "root": {
    "type": "M",
    "required": true,
    "additional_properties": false,
    "attributes": {
      "store_id": {
        "type": "S",
        "required": true,
        "format": "uuid"
      },
      "recipe_ids": {
        "type": "L",
        "required": true,
        "min_items": 1,
        "max_items": 25,
        "items": {
          "type": "S",
          "required": true,
          "format": "uuid"
        }
      },
      "require_active": {
        "type": "BOOL",
        "required": false,
        "default": true
      },
      "include_capacity": {
        "type": "BOOL",
        "required": false,
        "default": false
      }
    }
  }
}

Response Schema

{
  "root": {
    "type": "M",
    "required": true,
    "additional_properties": true,
    "attributes": {
      "contract_version": {
        "type": "N",
        "required": true,
        "const": 4
      },
      "request_id": {
        "type": "S",
        "required": true
      },
      "operation": {
        "type": "S",
        "required": true
      },
      "status_code": {
        "type": "N",
        "required": true
      },
      "is_accepted": {
        "type": "BOOL",
        "required": true
      },
      "message_type": {
        "type": "S",
        "required": true
      },
      "message": {
        "type": "S",
        "required": true
      },
      "next_action": {
        "type": "S",
        "required": true
      }
    }
  }
}

Request Payload

{
  "store_id": "11111111-1111-4111-8111-111111111111",
  "recipe_ids": [
    "22222222-2222-4222-8222-222222222222"
  ],
  "require_active": true,
  "include_capacity": false
}

CMD curl

curl.exe -X POST "https://api.jefoffice.com/caferimo/complex-sync-no-packages/jef-caferimo-get-recipes-by-recipe-ids" -H "Content-Type: application/json" --data-raw '{}'

PowerShell curl

curl.exe -X POST "https://api.jefoffice.com/caferimo/complex-sync-no-packages/jef-caferimo-get-recipes-by-recipe-ids" -H "Content-Type: application/json" --data-raw '{}'